$kind: http-request
url: "{{sahara_local}}sales/invoices"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \ \r

    \  \"party_id\": \"9ea82269-702f-40d6-9dc6-224d12c1522a\",\r

    \  \"party_type\": \"customer\", //customer,supplier,agent\r

    \    \"sale_order_id\": \"8685fab1-6119-471c-b50d-fd8ad0402a5e\",\r

    \  \"issue_date\": \"2025-10-03\",\r

    \  \"due_date\": \"2025-10-17\",\r

    \  \"currency_id\": \"db60ec66-644f-4c45-80e2-5ebdcd0a6701\",\r

    \  \"notes\": \"Invoice for September deliveries\",\r

    \  \"payment_instructions\": \"Bank Transfer to ABC Bank, A/C
    1234567890\",\r

    \  \"lines\": [\r

    \    {\r

    \      \"billable_id\": \"ec696c60-9389-41b2-918a-e6b97a24c3c5\",\r

    \      \"item_type\": \"custom\", //'product', 'service', 'custom'\r

    \      //\"item_id\": \"UOM\",\r

    \      //\"uom_id\": \"MA\",\r

    \      \"description\": \"Special Packaging\",\r

    \      \"quantity\": 2,\r

    \      \"unit_price\": 25.00,\r

    \      \"tax_pct\": 18,\r

    \      \"line_total\": 59.00\r

    \    }\r

    \  ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
